commit:     4566d37ee7fcddacc406fe67e1bce5a779552d0e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 13 08:55:47 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 13 09:07:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4566d37e

dev-python/sphinxcontrib-websupport: Bump to 1.1.0

 dev-python/sphinxcontrib-websupport/Manifest       |  1 +
 .../sphinxcontrib-websupport-1.1.0.ebuild          | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/sphinxcontrib-websupport/Manifest 
b/dev-python/sphinxcontrib-websupport/Manifest
index b58ad51090c..438d76f70b3 100644
--- a/dev-python/sphinxcontrib-websupport/Manifest
+++ b/dev-python/sphinxcontrib-websupport/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-websupport-1.0.1.tar.gz 590480 BLAKE2B 
1be40595094233ca2ddb1a367039320fe6655b1a6bbf251d7722b60efe0d0cfbe1cdb38455f47f4fb6810500e0e4923f5a9a74df4f79d1544261c4706a59e8fb
 SHA512 
67807b2505e063639163b020f0e62469b0c2838c303516cce9a8d90181cc7b8a10d76532adb1267556d40f95966efc20ec9f8ee1a6731056bda827a6f97f40ec
+DIST sphinxcontrib-websupport-1.1.0.tar.gz 587947 BLAKE2B 
fafaa56071245c8934e27c6d2d7752745b2a8047c8a30d52e513fff7f952086a1b9082aa15e15ef232d69ef0c0d5d117f8a8c97fcdf9cd90c89d53238d7f322e
 SHA512 
adbd7db06150a4424a881a22442c2535ed823c7adcc295ef9c3af5ae38d823349830a114e8a7af2138498d0e68b37189707c1bb5a28b45c76031bcf94210fb89

diff --git 
a/dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.1.0.ebuild 
b/dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.1.0.ebuild
new file mode 100644
index 00000000000..e6e050ddf54
--- /dev/null
+++ b/dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx websupport extension"
+HOMEPAGE="http://www.sphinx-doc.org";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd ~amd64-linux ~x86-linux ~x64-solaris"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/sqlalchemy-0.9[${PYTHON_USEDEP}]
+       >=dev-python/whoosh-2.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.5[${PYTHON_USEDEP}]
+       dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
+# avoid circular dependency with sphinx
+PDEPEND="
+       >=dev-python/sphinx-1.5.3[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               ${PDEPEND}
+               dev-python/tox[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+       )"
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}
+
+python_test() {
+       "${EPYTHON}" -m pytest tests/ || die "Tests fail with ${EPYTHON}"
+}

Reply via email to